Bug 2148612

Summary: libbsd-devel now needs to require libmd-devel
Product: [Fedora] Fedora Reporter: Bruno Pitrus <brunopitrus>
Component: libbsdAssignee: Robert Scheck <redhat-bugzilla>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: redhat-bugzilla, spacewar, tachoknight
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: libbsd-0.11.7-2.el8 libbsd-0.11.7-2.el7 libbsd-0.11.7-2.fc37 libbsd-0.11.7-2.el9 libbsd-0.11.7-2.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-20 00:34:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Bruno Pitrus 2022-11-26 12:51:05 UTC
With the new version of libbsd, libbsd.so is now a linker script saying:

/* GNU ld script
 * The MD5 functions are provided by the libmd library. */
OUTPUT_FORMAT(elf64-x86-64)
GROUP(/usr/lib64/libbsd.so.0.11.7 AS_NEEDED(-lmd))


This predictably causes a linker error if libmd-devel is not installed.



libbsd-devel should Require: libmd-devel. A workaround is to install that package manually.

Comment 1 Fedora Update System 2022-12-04 21:11:20 UTC
FEDORA-2022-c3b0dfa797 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3b0dfa797

Comment 2 Fedora Update System 2022-12-04 21:12:07 UTC
FEDORA-2022-19aa7f5efb has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-19aa7f5efb

Comment 3 Fedora Update System 2022-12-04 21:12:42 UTC
FEDORA-2022-32e69d01a9 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-32e69d01a9

Comment 4 Fedora Update System 2022-12-04 21:13:22 UTC
FEDORA-EPEL-2022-13cfdabccc has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-13cfdabccc

Comment 5 Fedora Update System 2022-12-04 21:13:56 UTC
FEDORA-EPEL-2022-08012668ea has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-08012668ea

Comment 6 Fedora Update System 2022-12-04 21:14:31 UTC
FEDORA-EPEL-2022-10049c7b14 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-10049c7b14

Comment 7 Fedora Update System 2022-12-05 01:54:47 UTC
FEDORA-EPEL-2022-10049c7b14 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-10049c7b14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-12-05 01:55:40 UTC
FEDORA-EPEL-2022-08012668ea has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-08012668ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-12-05 02:33:27 UTC
FEDORA-EPEL-2022-13cfdabccc has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-13cfdabccc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-12-05 03:19:38 UTC
FEDORA-2022-c3b0dfa797 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c3b0dfa797`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c3b0dfa797

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-12-05 03:36:38 UTC
FEDORA-2022-19aa7f5efb has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-19aa7f5efb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-19aa7f5efb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-12-05 03:42:49 UTC
FEDORA-2022-32e69d01a9 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-32e69d01a9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-32e69d01a9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2022-12-20 00:34:56 UTC
FEDORA-EPEL-2022-08012668ea has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-12-20 00:37:26 UTC
FEDORA-EPEL-2022-10049c7b14 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2022-12-20 01:28:01 UTC
FEDORA-2022-c3b0dfa797 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-12-20 01:56:32 UTC
FEDORA-EPEL-2022-13cfdabccc has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2022-12-20 02:23:58 UTC
FEDORA-2022-19aa7f5efb has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.